Bug 1017639 - broken systemd-macros in rpm-scriptlets
broken systemd-macros in rpm-scriptlets
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: aeolus-configserver (Show other bugs)
20
Unspecified Unspecified
unspecified Severity urgent
: ---
: ---
Assigned To: Joe Vlcek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-10 05:29 EDT by Ralf Corsepius
Modified: 2014-06-09 11:06 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-09 11:06:44 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ralf Corsepius 2013-10-10 05:29:13 EDT
Description of problem:

aeolus-configserver-0.5.1-5.fc20 contains broken rpm-scriptlets, which contain unexpanded systemd-macros:

# rpm -q --scripts -p aeolus-configserver-0.5.1-5.fc20.noarch.rpm 
preinstall scriptlet (using /bin/sh):
# Ensure the aeolus user/group is created (same IDs as in aeolus-conductor)
getent group aeolus >/dev/null || \
    groupadd -g 180 -r aeolus 2>/dev/null || :
getent passwd aeolus >/dev/null || \
    useradd -u 180 -g aeolus -c "aeolus" \
    -s /sbin/nologin -r -d /var/aeolus aeolus 2> /dev/null || :
postinstall scriptlet (using /bin/sh):
# Register the service
      %systemd_post aeolus-configserver.service
preuninstall scriptlet (using /bin/sh):
# halt and unregister the service before package deletion
if [ $1 = 0 ]; then
    %systemd_preun aeolus-configserver.service
fi


Additional info:
- The cause of this issue is the spec missing a BR: systemd to pull-in the necessary systemd.macros.
- These unexpanded systemd macros cause yum update failures, leaving behind duplicate entries in rpmdb.
Comment 1 Joe Vlcek 2013-10-10 09:19:55 EDT
I have end of lifed this package in Fedora/master/fc21. Can I now end of life it for fc20?

If so please point me at the instructions. https://fedoraproject.org/wiki/How_to_remove_a_package_at_end_of_life indicates that a package needs to be EOLed in fc20 "before" fc21.

If not can it be removed from the build?
Comment 2 Ralf Corsepius 2013-10-10 10:07:26 EDT
(In reply to Joe Vlcek from comment #1)
> I have end of lifed this package in Fedora/master/fc21.
I noticed this.

> Can I now end of
> life it for fc20?
>
> If so please point me at the instructions.
> https://fedoraproject.org/wiki/How_to_remove_a_package_at_end_of_life
> indicates that a package needs to be EOLed in fc20 "before" fc21.
> 
> If not can it be removed from the build?
I have no idea. I guess, it would be best to ask on fedora-devel@.
Comment 3 Joe Vlcek 2013-10-10 11:31:44 EDT
(In reply to Ralf Corsepius from comment #2)
> (In reply to Joe Vlcek from comment #1)
> > I have end of lifed this package in Fedora/master/fc21.
> I noticed this.
> 
> > Can I now end of
> > life it for fc20?
> >
> > If so please point me at the instructions.
> > https://fedoraproject.org/wiki/How_to_remove_a_package_at_end_of_life
> > indicates that a package needs to be EOLed in fc20 "before" fc21.
> > 
> > If not can it be removed from the build?
> I have no idea. I guess, it would be best to ask on fedora-devel@.

Thank you Ralf,

I asked on fedora-releng and was told I could orphan it on fc20 which
I have done.

Please let me know if orphaning this package addresses this bz and
if not what else do I need to do.
Comment 4 Joe Vlcek 2013-11-14 10:40:52 EST
Please close this bz as this package has been orphaned.

Note You need to log in before you can comment on or make changes to this bug.